(defun Qsort (lst / x l e g)
  (if lst
   (progn
    (setq x (nth (/ (length lst) 2) lst)
          l nil e nil g nil)

    (while (not (null lst))
      (cond ((= (car lst) x) (setq e (cons x e)))
            ((< (car lst) x) (setq l (cons (car lst) l)))
            (t (setq g (cons (car lst) g)))
      )
      (setq lst (cdr lst))
    )
    (setq l (Qsort l)
          g (Qsort g))
    (append l e g)
   )
   nil
  )
)

(defun C:RUN ( / cmd num)
  (princ "\nVoid input returns you to an AutoLISP.")
  (initget 128)
  (setq num 1)
  (setq cmd (getpoint (strcat "\nCommand #" (itoa num) ": ")))
  (while (and (equal (type cmd) 'STR)(not (equal cmd "")))
     (print (eval (read cmd)))
     (initget 128)
     (setq num (1+ num)
           cmd (getpoint (strcat "\nCommand #" (itoa num) ": ")))
  )
  (princ)
)

(defun S::l2cstartup ()
  (princ "\nL2C 2.9 demo file")
  (princ "\nNew command:")
  (princ "\n   RUN runs alternate Lisp interpreter")
  (princ "\nNew function:")
  (princ "\n   (QSORT list) sorts list of elements in ascending order")
  (princ "\n\nThis is S::L2CSTARTUP function, automatically invoked when")
  (princ "\nan application is XLOADed.")
  (princ "\nHave a nice day!")
)
